## Function template has_attr

boost::log::expressions::has_attr

## Synopsis

    // In header: <boost/log/expressions/predicates/has_attr.hpp>

    template<typename DescriptorT, template< typename > class ActorT>
      unspecified has_attr(attribute_keyword< DescriptorT, ActorT > const &);

## Description

The function generates a terminal node in a template expression. The node will check for the attribute value presence in a log record. The node will also check that the attribute value has the specified type, if present.